javax.persistence.metamodel

## Enum Type.PersistenceType

- java.lang.Object
- - java.lang.Enum<Type.PersistenceType>
  - - javax.persistence.metamodel.Type.PersistenceType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Type.PersistenceType>

Enclosing interface:
  Type<X>

    public static enum Type.PersistenceType
    extends java.lang.Enum<Type.PersistenceType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BASIC` Basic type
`EMBEDDABLE` Embeddable class
`ENTITY` Entity
`MAPPED_SUPERCLASS` Mapped superclass

### Method Summary

All Methods Static Methods Concrete Methods
`static Type.PersistenceType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Type.PersistenceType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ENTITY

    public static final Type.PersistenceType ENTITY

Entity

#### EMBEDDABLE

    public static final Type.PersistenceType EMBEDDABLE

Embeddable class

#### MAPPED_SUPERCLASS

    public static final Type.PersistenceType MAPPED_SUPERCLASS

Mapped superclass

#### BASIC

    public static final Type.PersistenceType BASIC

Basic type

### Method Detail

#### values

    public static Type.PersistenceType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Type.PersistenceType c : Type.PersistenceType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Type.PersistenceType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null